#include "triangles.h"

#include <bits/stdc++.h>
using namespace std;
vector<vector<int>> solve(int n) {
    //assert(n == 4);
    vector<vector<int>> ans;
    int a = 2;
    for (int i = 3; i < n; i++) {
        Triangle t1(0, 1, 2);
        Triangle t2(0, 1, i);
        if (compare({t1}, {t2}) == -1) {
            a = i;
        }
    }
    int b = 1;
    for (int i = 2; i < n; i++) {
        if (i == 0 || i == a) continue;
        Triangle t1(0, a, i);
        Triangle t2(0, a, b);
        if (compare({t2}, {t1}) == -1) {
            b = i;
        }
    }
    int c = -1;
    for (int i = 0; i < n; i++) {
        if (i == a || i == b) continue;
        if (c == -1) {
            c = i;
        } else {
            Triangle t1(a, b, c);
            Triangle t2(a, b, i);
            if (compare({t1}, {t2}) == -1) {
                c = i;
            }
        }
    }
    assert(c != -1);
    ans = {{a, b, c}};
    return ans;
}
